Skip to main content
PATCH
Update a timesheet attestation
A statement a member must sign when submitting a timesheet, used to meet labor-law and compliance requirements such as confirming the accuracy of recorded hours.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The timesheet attestation uuid.

Body

application/json
name
string

The name of the timesheet attestation. Maximum 255 characters.

attestationText
string

The statement the member must sign when submitting a timesheet. Maximum 10000 characters.

isActive
boolean

Whether the timesheet attestation is active.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the timesheet attestation.

attestationText
string

The statement the member must sign when submitting a timesheet.

isActive
boolean

Whether the timesheet attestation is active.

createdAt
string<date-time>

The timestamp when the object was created.